Libpng incompatibility with Solaris

I have a gtk application that is compiled for Solaris that generates the
following error on execution on one of our clients systems.
libpng warning: Application was compiled with png.h from libpng-1.0.8
libpng warning: Application  is running with png.c from libpng-1.2.0
libpng error: Incompatible libpng  version in application and library
However my application is statically linked against libpng and zlib.  Is
there any situation where the libgtk shared library can be compiled
where it relies on libpng?

Thanks for your time

Ian King


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]